LAPACK warning on FC2

Lisandro Dalcin dalcinl at gmail.com
Wed Oct 25 08:44:42 CDT 2006


FYI, I got the following warning building numpy-1.0 from sources on a
FC2 box, using distribution provided blas and lapack rpm's.

$ rpm -q blas
blas-3.0-24.1

$ rpm -q lapack
lapack-3.0-24.1

$ python setup.py build > build.log
Running from numpy source directory.
/u/dalcinl/Build/Python/numpy-1.0/numpy/distutils/system_info.py:934:
UserWarning:
*********************************************************************
    Lapack library (from ATLAS) is probably incomplete:
      size of /usr/lib/liblapack.so is 3617k (expected >4000k)

    Follow the instructions in the KNOWN PROBLEMS section of the file
    numpy/INSTALL.txt.
*********************************************************************

  warnings.warn(message)

My lapack shared library is only 3.6MB, But I believe it is complete.
Am I right?

$ ls -lh /usr/lib/liblapack.so.3.0.3
-rwxr-xr-x  1 root root 3.6M Mar  2  2004 /usr/lib/liblapack.so.3.0.3


-- 
Lisandro Dalcín
---------------
Centro Internacional de Métodos Computacionales en Ingeniería (CIMEC)
Instituto de Desarrollo Tecnológico para la Industria Química (INTEC)
Consejo Nacional de Investigaciones Científicas y Técnicas (CONICET)
PTLC - Güemes 3450, (3000) Santa Fe, Argentina
Tel/Fax: +54-(0)342-451.1594

-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642




More information about the Numpy-discussion mailing list